<template>
  <v-app>
    <v-navigation-drawer fixed v-model="drawer" clipped app>
      <v-list>
        <template v-for="menu in content.menus">
          <v-list-tile v-if="!menu.items"
            :key="menu.text"
            :to="menu.url"
            :href="menu.url"
            exact-active-class="nav-active"
          >
            <v-list-tile-action>
              <v-icon>{{ menu.icon }}</v-icon>
            </v-list-tile-action>
            <v-list-tile-title>
              {{ menu.text }}
            </v-list-tile-title>
          </v-list-tile>

          <v-list-group v-else
            :key="menu.text"
            :prepend-icon="menu.icon"
            :value="shouldExpandMenu(menu)"
            no-action
          >
            <v-list-tile slot="activator">
              <v-list-tile-title>{{ menu.text }}</v-list-tile-title>
            </v-list-tile>

            <v-list-tile v-for="item in menu.items"
              :key="item.text"
              :to="menu.url + '/' + item.url"
            >
              <v-list-tile-title>{{ item.text }}</v-list-tile-title>
            </v-list-tile>

          </v-list-group>
        </template>
      </v-list>
    </v-navigation-drawer>
    <v-toolbar class="bs-toolbar" color="white" fixed app clipped-right>
      <v-toolbar-side-icon class="hidden-lg-and-up" @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title class="bs-toolbar-title">
        <img class="bs-toolbar-icon" :src="$withBase('/images/last-logo.png')" />
      </v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>
    <v-content>
      <v-container fluid fill-height>
        <v-layout>
          <Content />
        </v-layout>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
export default {
  name: 'layout',
  data() {
    return {
      drawer: null
    };
  },
  computed: {
    content() {
      return this.$site.themeConfig;
    }
  },
  methods: {
    shouldExpandMenu(menu) {
      return this.$page.path.indexOf(menu.url) === 0;
    }
  }
};
</script>

<style>
.bs-toolbar {
  padding-left: 0 !important;
}
.bs-toolbar-title {
  display: flex;
  align-items: center;
}
.bs-toolbar-icon {
  height: 30px;
}
.code{
  color: rgb(106, 199, 44) !important;
}
.language-html code{
  background-color:white !important;
  box-shadow:none
}
h3{
  padding-top:20px ; 

}

</style>
